---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci run-trig`

Run a CI/CD pipeline trigger.

```plaintext
glab ci run-trig [flags]
```

## Aliases

```plaintext
run-trig
```

## Examples

```plaintext
glab ci run-trig -t xxxx
glab ci run-trig -t xxxx -b main
glab ci run-trig -t xxxx -b main --variables key1:val1
glab ci run-trig -t xxxx -b main --variables key1:val1,key2:val2
glab ci run-trig -t xxxx -b main --variables key1:val1 --variables key2:val2

```

## Options

```plaintext
  -b, --branch string        Create pipeline on branch or reference <string>.
  -t, --token CI_JOB_TOKEN   Pipeline trigger token. Can be omitted only if the CI_JOB_TOKEN environment variable is set.
      --variables strings    Pass variables to pipeline in the format <key>:<value>.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
